#include "shaders.h"
#include "error.h"
#include "skip.h"

struct sw_shaderprogram sw_shaders_copy;
struct sw_shaderprogram sw_shaders_scale;

void sw_shaders_static_init() {
	char *vert_copy, *frag_copy, *frag_scale;

	sw_log("initialising shaders");
	vert_copy = sw_skip_get_string(sw_skip_self, "shader_copy_vert.glsl");
	frag_copy = sw_skip_get_string(sw_skip_self, "shader_copy_frag.glsl");
	frag_scale = sw_skip_get_string(sw_skip_self, "shader_scale_frag.glsl");

	sw_shaders_copy =
	    sw_shaderprogram_create((u8 *)vert_copy, 0, (u8 *)frag_copy, 0, false);
	sw_shaders_scale =
	    sw_shaderprogram_create((u8 *)vert_copy, 0, (u8 *)frag_scale, 0, false);
}
